public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/xscreensaver/
Date: Thu, 18 May 2023 10:42:34 +0000 (UTC)	[thread overview]
Message-ID: <1684406550.a4ee1e6e498fdb7725bbbf9504badc3700a07973.juippis@gentoo> (raw)

commit:     a4ee1e6e498fdb7725bbbf9504badc3700a07973
Author:     Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Mon Feb 27 20:13:40 2023 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu May 18 10:42:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a4ee1e6e

x11-misc/xscreensaver: add 6.06

Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
Closes: https://github.com/gentoo/gentoo/pull/29842
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 x11-misc/xscreensaver/Manifest                 |   1 +
 x11-misc/xscreensaver/xscreensaver-6.06.ebuild | 251 +++++++++++++++++++++++++
 2 files changed, 252 insertions(+)

diff --git a/x11-misc/xscreensaver/Manifest b/x11-misc/xscreensaver/Manifest
index 34ec3cfca174..ed7fe38af259 100644
--- a/x11-misc/xscreensaver/Manifest
+++ b/x11-misc/xscreensaver/Manifest
@@ -1 +1,2 @@
 DIST xscreensaver-6.05.1.tar.gz 26110057 BLAKE2B 97c16c9f0b2a0b4d00ddccd711b921ca683bd233bc3d07ecad38b68ff94b149a20512246dd6bae052323f00b1b433f56469c5638a031cbc65b61c2b84a0180e3 SHA512 c659a769ff71020b9f96b7e707bd1bcc667eb304179305d56b1be45eed095d650a8aa019890a0c5d444672f9dd68516c99c53b0df94cd96196d7f30a24b987e3
+DIST xscreensaver-6.06.tar.gz 26334374 BLAKE2B f15a439430bbca0852926c15716d3c4b22148d8c36d60b18ab033454d4df0d981400029b32e1f30a061592273deb648453db91813994b9bc4d6c66a61774a5d1 SHA512 988e30d422ef985ac348c275e098ddfe1ee034a2e916c91690ee2836c908801c1e017e22d828aca981b0f8bfc5491cd83ab7c45aabc155ba5013df8b149cbcb5

diff --git a/x11-misc/xscreensaver/xscreensaver-6.06.ebuild b/x11-misc/xscreensaver/xscreensaver-6.06.ebuild
new file mode 100644
index 000000000000..4b4247e5340a
--- /dev/null
+++ b/x11-misc/xscreensaver/xscreensaver-6.06.ebuild
@@ -0,0 +1,251 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic font optfeature pam strip-linguas xdg-utils
+
+DESCRIPTION="Modular screen saver and locker for the X Window System"
+HOMEPAGE="https://www.jwz.org/xscreensaver/"
+SRC_URI="https://www.jwz.org/xscreensaver/${P}.tar.gz"
+
+# Font license mapping for folder ./hacks/fonts/ as following:
+#   clacon.ttf       -- MIT
+#   gallant12x22.ttf -- unclear, hence dropped
+#   luximr.ttf       -- bh-luxi (package media-fonts/font-bh-ttf)
+#   OCRAStd.otf      -- unclear, hence dropped
+#   SpecialElite.ttf -- Apache-2.0
+LICENSE="BSD fonts? ( MIT Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="elogind fonts gdm gles glx jpeg +locking new-login offensive pam +perl selinux suid systemd xinerama"
+REQUIRED_USE="
+	gles? ( !glx )
+	?? ( elogind systemd )
+	pam? ( locking )
+"
+
+COMMON_DEPEND="
+	>=dev-libs/libxml2-2.4.6
+	x11-apps/appres
+	x11-apps/xwininfo
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXrandr
+	x11-libs/libXt
+	x11-libs/libXxf86vm
+	elogind? ( sys-auth/elogind )
+	x11-libs/gdk-pixbuf-xlib
+	>=x11-libs/gdk-pixbuf-2.42.0:2
+	>=x11-libs/gtk+-3.0.0:3
+	jpeg? ( media-libs/libjpeg-turbo:= )
+	locking? ( virtual/libcrypt:= )
+	new-login? (
+		gdm? ( gnome-base/gdm )
+		!gdm? ( || ( x11-misc/lightdm lxde-base/lxdm ) )
+	)
+	virtual/glu
+	virtual/opengl
+	pam? ( sys-libs/pam )
+	media-libs/libpng:=
+	systemd? ( >=sys-apps/systemd-221 )
+	>=x11-libs/libXft-2.1.0
+	xinerama? ( x11-libs/libXinerama )
+"
+# For USE="perl" see output of `qlist xscreensaver | grep bin | xargs grep '::'`
+RDEPEND="
+	${COMMON_DEPEND}
+	media-gfx/fbida
+	perl? (
+		dev-lang/perl
+		dev-perl/libwww-perl
+		virtual/perl-Digest-MD5
+	)
+	selinux? ( sec-policy/selinux-xscreensaver )
+"
+DEPEND="
+	${COMMON_DEPEND}
+	x11-base/xorg-proto
+"
+BDEPEND="
+	dev-util/intltool
+	sys-devel/bc
+	sys-devel/gettext
+	virtual/pkgconfig
+"
+PATCHES=(
+	"${FILESDIR}"/${PN}-6.01-interix.patch
+	"${FILESDIR}"/${PN}-5.31-pragma.patch
+	"${FILESDIR}"/${PN}-6.01-gentoo.patch
+	"${FILESDIR}"/${PN}-5.45-gcc.patch
+	"${FILESDIR}"/${PN}-6.01-configure.ac-sandbox.patch
+#	"${FILESDIR}"/${PN}-6.01-without-gl-makefile.patch
+#	"${FILESDIR}"/${PN}-6.01-non-gtk-install.patch
+	"${FILESDIR}"/${PN}-6.01-configure-install_sh.patch
+#	"${FILESDIR}"/${PN}-6.03-without-gl-configure.patch
+	"${FILESDIR}"/${PN}-6.05-remove-update-icon-cache.patch
+#	"${FILESDIR}"/${PN}-6.05-r2-configure-exit-codes.patch
+#	"${FILESDIR}"/${PN}-6.05-get-dirs-from-gtk3.0-in-configure.patch
+)
+
+DOCS=( README{,.hacking} )
+
+# see https://bugs.gentoo.org/898328
+QA_CONFIG_IMPL_DECL_SKIP=( getspnam_shadow )
+
+src_prepare() {
+	default
+
+	sed -i configure.ac -e '/^ALL_LINGUAS=/d' || die
+	strip-linguas -i po/
+	export ALL_LINGUAS="${LINGUAS}"
+
+	if use new-login && ! use gdm; then #392967
+		sed -i \
+			-e "/default_l.*1/s:gdmflexiserver -ls:${EPREFIX}/usr/libexec/lightdm/&:" \
+			configure{,.ac} || die
+	fi
+
+	# We are patching driver/XScreenSaver.ad.in, so let's delete the
+	# header generated from it so that it gets back in sync during build:
+	rm driver/XScreenSaver_ad.h || die
+
+	if ! use offensive; then
+		sed -i \
+			-e '/boobies/d;/boobs/d;/cock/d;/pussy/d;/viagra/d;/vibrator/d' \
+			hacks/barcode.c || die
+		sed -i \
+			-e 's|erect penis|shuffle board|g' \
+			-e 's|flaccid penis|flaccid anchor|g' \
+			-e 's|vagina|engagement ring|g' \
+			-e 's|Penis|Shuttle|g' \
+			hacks/glx/glsnake.c || die
+		sed -i \
+			's| Stay.*fucking mask\.$||' \
+			hacks/glx/covid19.man \
+			hacks/config/covid19.xml || die
+		eapply "${FILESDIR}/xscreensaver-6.05-teach-handsy-some-manners.patch"
+	fi
+
+	config_rpath_update "${S}"/config.rpath
+
+	# Must be eauto*re*conf, to force the rebuild
+	eautoreconf
+}
+
+src_configure() {
+	if use ppc || use ppc64; then
+		filter-flags -maltivec -mabi=altivec
+		append-flags -U__VEC__
+	fi
+
+	unset BC_ENV_ARGS #24568
+
+	# /proc/interrupts won't always have the keyboard bits needed
+	# Not clear this does anything in 6.03+(?) but let's keep it for now in case.
+	# (See also: configure argument)
+	export ac_cv_have_proc_interrupts=yes
+
+	# WARNING: This is NOT a normal autoconf script
+	# Some of the --with options are NOT standard, and expect "--with-X=no" rather than "--without-X"
+	ECONF_OPTS=(
+		$(use_enable locking)
+		$(use_with elogind)
+		--with-pixbuf
+		$(use_with gles)
+		$(use_with glx)
+		--with-gtk
+		$(use_with new-login login-manager)
+		$(use_with pam)
+		$(use_with suid setuid-hacks)
+		$(use_with systemd)
+		$(use_with xinerama xinerama-ext)
+		--with-jpeg=$(usex jpeg yes no)
+		--with-png=yes
+		--with-xft=yes
+		--with-app-defaults="${EPREFIX}"/usr/share/X11/app-defaults
+		--with-configdir="${EPREFIX}"/usr/share/${PN}/config
+		--with-dpms-ext
+		--with-hackdir="${EPREFIX}"/usr/$(get_libdir)/misc/${PN}
+		--with-proc-interrupts
+		--with-randr-ext
+		--with-text-file="${EPREFIX}"/etc/gentoo-release
+		--with-xdbe-ext
+		--with-xf86gamma-ext
+		--with-xf86vmode-ext
+		--with-xinput-ext
+		--with-xkb-ext
+		--with-xshm-ext
+		--without-gle
+		--without-kerberos
+		--without-motif
+		--with-proc-oom
+		--x-includes="${EPREFIX}"/usr/include
+		--x-libraries="${EPREFIX}"/usr/$(get_libdir)
+	)
+	# WARNING: This is NOT a normal autoconf script
+	econf "${ECONF_OPTS[@]}"
+}
+
+src_compile() {
+	# stock target is "default", which is broken in some releases.
+	emake all
+}
+
+src_install() {
+	use pam && dodir /etc/pam.d/
+	emake install_prefix="${D}" DESTDIR="${D}" GTK_SHAREDIR="${installprefix}"/usr/share/xscreensaver install
+
+	if use fonts; then
+		# Do not install fonts with unclear licensing
+		rm -v "${ED}${FONTDIR}"/{gallant12x22.ttf,OCRAStd.otf} || die
+
+		# Do not duplicate font Luxi Mono (of package media-fonts/font-bh-ttf)
+		rm -v "${ED}${FONTDIR}"/luximr.ttf || die
+
+		font_xfont_config
+	else
+		rm -v "${ED}${FONTDIR}"/*.{ttf,otf} || die
+		rmdir -v "${ED}${FONTDIR}" || die #812473
+	fi
+
+	einstalldocs
+
+	if use pam; then
+		fperms 755 /usr/bin/${PN}
+		pamd_mimic_system ${PN} auth
+	fi
+
+	# bugs #809599, #828869
+	#if ! use gtk; then
+	#	rm "${ED}/usr/bin/xscreensaver-demo" || die
+	#fi
+	# Makefile installs xscreensaver.service regardless of --without-systemd
+	if ! use systemd; then
+		rm "${ED}/usr/share/${PN}/xscreensaver.service" || die
+	fi
+
+	# bug #885989
+	fperms 4755 /usr/$(get_libdir)/misc/xscreensaver/xscreensaver-auth
+}
+
+pkg_postinst() {
+	use fonts && font_pkg_postinst
+
+	# bug #811885
+	if ! use glx; then
+		elog "Enable USE='glx' if OpenGL screensavers are crashing."
+	fi
+
+	optfeature 'Bitmap fonts 75dpi' media-fonts/font-adobe-75dpi
+	optfeature 'Bitmap fonts 100dpi' media-fonts/font-adobe-100dpi
+	optfeature 'Truetype font Luxi Mono' media-fonts/font-bh-ttf
+
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	use fonts && font_pkg_postrm
+	xdg_icon_cache_update
+}


             reply	other threads:[~2023-05-18 10:42 UTC|newest]

Thread overview: 175+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-18 10:42 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-06  9:44 [gentoo-commits] repo/gentoo:master commit in: x11-misc/xscreensaver/ Florian Schmaus
2024-10-18 16:44 Arthur Zamarin
2024-10-18 15:40 Arthur Zamarin
2024-10-16 11:03 Sam James
2024-10-16 11:03 Sam James
2024-10-16 11:03 Sam James
2024-10-16  8:31 Jakov Smolić
2024-10-16  8:31 Jakov Smolić
2024-06-18 18:56 Florian Schmaus
2024-05-13 11:43 Petr Vaněk
2024-02-07  4:55 Ionen Wolkens
2024-02-07  4:55 Ionen Wolkens
2024-02-07  4:55 Ionen Wolkens
2024-01-23 15:08 Sam James
2024-01-23  6:14 Sam James
2024-01-23  4:17 Sam James
2024-01-23  4:17 Sam James
2024-01-08  9:48 Sam James
2023-12-13  9:31 Florian Schmaus
2023-12-08  8:32 Arthur Zamarin
2023-12-08  8:29 Arthur Zamarin
2023-12-08  8:29 Arthur Zamarin
2023-11-15 16:35 Arthur Zamarin
2023-11-15 16:35 Arthur Zamarin
2023-10-18 15:42 Arthur Zamarin
2023-10-17  7:20 Joonas Niilola
2023-10-16 12:42 Sam James
2023-10-16  7:12 Sam James
2023-10-16  7:12 Sam James
2023-09-14 16:35 Florian Schmaus
2023-09-14 16:22 Florian Schmaus
2023-09-14 16:07 Florian Schmaus
2023-09-09  7:21 Yixun Lan
2023-09-08 12:04 Florian Schmaus
2023-09-06 10:51 Florian Schmaus
2023-09-06  7:14 Joonas Niilola
2023-09-06  6:47 Sam James
2023-09-06  6:47 Sam James
2023-09-06  6:47 Sam James
2023-08-15 15:53 Florian Schmaus
2023-07-27  8:27 Florian Schmaus
2023-05-06  9:34 Arthur Zamarin
2023-05-06  9:31 Arthur Zamarin
2023-05-06  9:31 Arthur Zamarin
2023-05-06  9:31 Arthur Zamarin
2023-04-16 17:10 Arthur Zamarin
2023-04-14 19:33 Sam James
2022-12-16 21:06 Arthur Zamarin
2022-12-10  9:14 Arthur Zamarin
2022-12-10  9:14 Arthur Zamarin
2022-12-10  9:14 Arthur Zamarin
2022-12-10  9:14 Arthur Zamarin
2022-12-10  9:14 Arthur Zamarin
2022-12-10  9:00 Arthur Zamarin
2022-10-31  9:25 Ulrich Müller
2022-08-28  5:06 WANG Xuerui
2022-07-30  5:22 Yixun Lan
2022-05-31  3:29 Sam James
2022-03-02  2:19 Sam James
2022-01-24  4:19 Mike Gilbert
2022-01-24  4:19 Mike Gilbert
2022-01-08 12:49 Joonas Niilola
2022-01-08 12:49 Joonas Niilola
2021-09-10 20:53 Ionen Wolkens
2021-09-01 18:32 Sam James
2021-08-29 17:52 Sam James
2021-08-29 10:02 Agostino Sarubbo
2021-08-28 21:02 Jakov Smolić
2021-08-28  5:36 Agostino Sarubbo
2021-08-27 20:04 Sam James
2021-08-27 20:04 Sam James
2021-07-25  5:42 Robin H. Johnson
2021-07-23  6:26 Robin H. Johnson
2021-06-30 10:15 Ulrich Müller
2021-06-22 22:38 Sam James
2021-06-19 15:29 Sergei Trofimovich
2021-06-13  6:30 Agostino Sarubbo
2021-06-13  6:29 Agostino Sarubbo
2021-06-12 17:14 Sam James
2021-06-12 17:14 Sam James
2021-06-12 16:32 Sam James
2021-06-12 16:32 Sam James
2021-06-12 14:48 Sebastian Pipping
2021-06-12 14:31 Sebastian Pipping
2021-06-12  7:56 Sam James
2021-06-12  7:56 Sam James
2021-06-12  3:29 Sam James
2021-06-11 22:27 Sebastian Pipping
2021-06-07  8:33 Joonas Niilola
2021-04-20 17:06 Sergei Trofimovich
2021-04-19  0:23 Sam James
2021-04-18  6:44 Sam James
2021-04-18  2:58 Sam James
2021-04-18  2:58 Sam James
2021-04-18  2:58 Sam James
2021-04-18  2:57 Sam James
2021-03-11 22:25 Jonas Stein
2021-03-04  0:23 Sam James
2021-02-28 23:21 Sam James
2021-02-27 12:30 Sam James
2021-02-27 10:43 Sam James
2021-02-26 21:58 Sam James
2021-01-22 15:32 Mikle Kolyada
2020-12-17 14:00 Mart Raudsepp
2020-11-20  0:32 Sam James
2020-07-23  8:29 Kent Fredric
2020-06-24 10:19 Jeroen Roovers
2020-05-17  9:25 Jeroen Roovers
2020-03-22  7:33 Jeroen Roovers
2020-03-21  6:39 Jeroen Roovers
2020-02-16 20:24 David Seifert
2020-02-08 21:40 Mart Raudsepp
2020-02-02 20:05 Jeroen Roovers
2020-01-13 10:07 David Seifert
2019-12-13  9:58 Jeroen Roovers
2019-11-07 16:20 Michał Górny
2019-10-12 17:42 Mikle Kolyada
2019-08-27  4:43 Jeroen Roovers
2019-08-22 10:34 Jeroen Roovers
2019-08-22 10:30 Jeroen Roovers
2019-08-22 10:30 Jeroen Roovers
2019-06-05 10:32 Jeroen Roovers
2018-12-29 10:49 Jeroen Roovers
2018-12-29 10:49 Jeroen Roovers
2018-10-10 20:12 Jeroen Roovers
2018-08-13  8:12 Jeroen Roovers
2018-06-25  8:23 Jeroen Roovers
2018-04-16 22:04 Mikle Kolyada
2018-04-14  8:34 Jeroen Roovers
2018-04-07 21:30 Sergei Trofimovich
2018-03-07 20:09 Sergei Trofimovich
2018-03-06  8:35 Jeroen Roovers
2018-03-05 21:31 Tobias Klausmann
2018-03-04 19:11 Sergei Trofimovich
2018-03-01 21:02 Jeroen Roovers
2017-12-21  0:22 Jeroen Roovers
2017-07-06 10:05 Jeroen Roovers
2017-03-02 20:54 Jeroen Roovers
2017-03-02 20:54 Jeroen Roovers
2017-03-01 20:45 David Seifert
2016-12-25 15:19 Jeroen Roovers
2016-12-25 15:19 Jeroen Roovers
2016-12-24 10:26 Agostino Sarubbo
2016-12-22  9:34 Agostino Sarubbo
2016-12-20  9:44 Agostino Sarubbo
2016-12-19 15:12 Agostino Sarubbo
2016-12-18 15:57 Agostino Sarubbo
2016-12-18 15:44 Agostino Sarubbo
2016-12-14  9:14 Tobias Klausmann
2016-12-10 11:53 Johannes Huber
2016-10-21  3:40 Jeroen Roovers
2016-10-20  7:15 Jeroen Roovers
2016-10-11 19:40 Jeroen Roovers
2016-10-07 15:47 Jeroen Roovers
2016-10-07 15:47 Jeroen Roovers
2016-10-05 18:53 Markus Meier
2016-09-21 17:48 Tobias Klausmann
2016-09-21  6:16 Jeroen Roovers
2016-07-14  7:27 Jeroen Roovers
2016-07-08 14:33 Markus Meier
2016-07-04  8:53 Jeroen Roovers
2016-06-30 15:57 Tobias Klausmann
2015-11-07 23:39 Mikle Kolyada
2015-11-05 10:58 Agostino Sarubbo
2015-11-04 14:26 Agostino Sarubbo
2015-11-03 19:19 Markus Meier
2015-11-01 16:18 Mikle Kolyada
2015-11-01 14:10 Tobias Klausmann
2015-10-26  9:15 Agostino Sarubbo
2015-10-25  7:37 Jeroen Roovers
2015-10-25  5:43 Jeroen Roovers
2015-10-24 21:36 Jeroen Roovers
2015-10-24  7:38 Jeroen Roovers
2015-10-23  9:05 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1684406550.a4ee1e6e498fdb7725bbbf9504badc3700a07973.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox